## kdeaccessibility-4.2.4.tar.xz

=== CMakeLists.txt ===
project(kdeaccessibility)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)

if(Q_WS_X11)
  if(NOT X11_XTest_FOUND)
    macro_log_feature(X11_XTest_FOUND "libXtst" "X11 Testing Resource extension library" "http://xorg.freedesktop.org" FALSE "" "needed to build kmousetool.")
  endif(NOT X11_XTest_FOUND)
endif(Q_WS_X11)

find_package(Kttsmodule)
macro_optional_find_package(Alsa)
macro_log_feature(ALSA_FOUND "ALSA" "The Advanced Linux Sound Architecture (ALSA) library" "http://www.alsa-project.org" FALSE "0.9" "Provides the ALSA audio plugin for KTTSD.")

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES})

macro_optional_add_subdirectory(ColorSchemes)
macro_optional_add_subdirectory(IconThemes)

if(Q_WS_X11)
    macro_optional_add_subdirectory(kttsd)
    
    # The kbstateapplet was ported to a KDE4 plasmoid and moved to playground/plasma with r875994
    #if(X11_Xkb_FOUND)		
    #   macro_optional_add_subdirectory(kbstateapplet)
    #endif(X11_Xkb_FOUND)
    
    macro_optional_add_subdirectory(kmag)
    if(X11_XTest_FOUND)
        macro_optional_add_subdirectory(kmousetool)
    endif(X11_XTest_FOUND)
endif(Q_WS_X11)

macro_optional_add_subdirectory(kmouth)

message(STATUS "Skipping ksayit. It does not currently compile.")
# add_subdirectory(ksayit)

macro_optional_add_subdirectory(doc)
macro_display_feature_log()

=== doc/CMakeLists.txt ===
if(Q_WS_X11)
  add_subdirectory(kmag)
  add_subdirectory(kmousetool)
  add_subdirectory(kttsd)
endif(Q_WS_X11)
add_subdirectory(kmouth)

=== kmousetool/CMakeLists.txt ===
project(kmousetool)

add_subdirectory( kmousetool )

=== kmouth/CMakeLists.txt ===
project(kmouth)

add_definitions (-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)
set(libphrasebook_SRCS 
	./phrasebook/phrasetree.cpp
	./phrasebook/phrasebookparser.cpp
	./phrasebook/phrasebookdialog.cpp
	./phrasebook/phrasebook.cpp
	)

kde4_add_ui_files(libphrasebook_SRCS ./phrasebook/buttonboxui.ui) 

set(libwordcompletion_SRCS
	./wordcompletion/wordlist.cpp 
	./wordcompletion/wordcompletion.cpp 
	./wordcompletion/wordcompletionwidget.cpp 
	./wordcompletion/dictionarycreationwizard.cpp 
	)
        
kde4_add_ui_files(libwordcompletion_SRCS 
	./wordcompletion/creationsourceui.ui 
	./wordcompletion/creationsourcedetailsui.ui 
	./wordcompletion/kdedocsourceui.ui
	./wordcompletion/wordcompletionui.ui )

add_subdirectory( icons ) 
add_subdirectory( phrasebook ) 
add_subdirectory( wordcompletion ) 
add_subdirectory( books ) 

include_directories(./wordcompletion/  )


########### next target ###############

set(kmouth_SRCS ${libwordcompletion_SRCS} ${libphrasebook_SRCS}
   texttospeechconfigurationwidget.cpp 
   optionsdialog.cpp 
   configwizard.cpp 
   phraseedit.cpp 
   phraselist.cpp 
   speech.cpp 
   texttospeechsystem.cpp 
   phraselistitem.cpp 
   kmouth.cpp 
   main.cpp )

set(kspeech_xml  ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml)
qt4_add_dbus_interface(kmouth_SRCS ${kspeech_xml} kspeech_interface)

kde4_add_ui_files(kmouth_SRCS preferencesui.ui texttospeechconfigurationui.ui )

kde4_add_executable(kmouth ${kmouth_SRCS})

target_link_libraries(kmouth  ${KDE4_KIO_LIBS} ${KDE4_KDE3SUPPORT_LIBS} )

install(TARGETS kmouth  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kmouth.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kmouthrc  DESTINATION  ${CONFIG_INSTALL_DIR} )
install( FILES kmouthui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kmouth )

=== kttsd/CMakeLists.txt ===
project(kttsd)

include(KttsdConfigureChecks.cmake)
include(FindAlsa)

configure_file (config-kttsd.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kttsd.h )

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory( libkttsd ) 
add_subdirectory( players ) 
add_subdirectory( plugins ) 
add_subdirectory( filters ) 
add_subdirectory( kttsd ) 
add_subdirectory( kttsjobmgr ) 
add_subdirectory( kcmkttsmgr ) 
add_subdirectory( kttsmgr ) 
add_subdirectory( app-plugins ) 
add_subdirectory( kspeak )
add_subdirectory( icons )

=== doc/kmag/CMakeLists.txt ===
########### install files ###############

#
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en)
kde4_create_manpage(man-kmag.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== kmousetool/kmousetool/CMakeLists.txt ===

add_subdirectory( pics ) 




########### next target ###############

set(kmousetool_SRCS mtstroke.cpp kmousetool.cpp main.cpp )

kde4_add_ui_files(kmousetool_SRCS kmousetoolui.ui )

kde4_add_executable(kmousetool ${kmousetool_SRCS})

target_link_libraries(kmousetool  ${KDE4_KDEUI_LIBS} ${X11_XTest_LIB} ${X11_Xext_LIB} ${X11_LIBRARIES} ${KDE4_PHONON_LIBS})

install(TARGETS kmousetool  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kmousetool.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES mousetool_tap.wav  DESTINATION  ${DATA_INSTALL_DIR}/kmousetool/sounds )

=== ksayit/KTTSD_Lib/CMakeLists.txt ===
set(KTTSD_Lib_LIB_SRCS kttsdlib.cpp kttsdlibtalker2.cpp )

kde4_add_ui_files(KTTSD_Lib_LIB_SRCS KTTSDlibSetup.ui )

qt4_add_dbus_interfaces(KTTSD_Lib_LIB_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml )

kde4_add_library(KTTSD_Lib SHARED ${KTTSD_Lib_LIB_SRCS})

target_link_libraries(KTTSD_Lib
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS} )

set_target_properties(KTTSD_Lib PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install(TARGETS KTTSD_Lib  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== kttsd/app-plugins/CMakeLists.txt ===
MESSAGE(STATUS "Remember to port it")
#add_subdirectory(kate)

=== kttsd/filters/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

add_subdirectory( stringreplacer ) 
add_subdirectory( xmltransformer ) 
add_subdirectory( sbd ) 
add_subdirectory( talkerchooser ) 

include_directories( ${CMAKE_SOURCE_DIR}/kttsd/libkttsd  )


########### next target ###############

set(testfilter_SRCS main.cpp )


kde4_add_executable(testfilter TEST ${testfilter_SRCS})

target_link_libraries(testfilter  ${KDE4_KDECORE_LIBS} kttsd )


########### install files ###############

install( FILES kttsd_filterplugin.desktop  DESTINATION  ${SERVICETYPES_INSTALL_DIR} )

=== kttsd/kttsd/CMakeLists.txt ===

include_directories( ${CMAKE_SOURCE_DIR}/kttsd/libkttsd  )


########### next target ###############

set(kttsd_SRCS 
   main.cpp 
   kspeech.cpp 
   utt.cpp 
   speaker.cpp 
   appdata.cpp 
   configdata.cpp 
   speechdata.cpp 
   threadedplugin.cpp 
   ssmlconvert.cpp 
   filtermgr.cpp 
   talkermgr.cpp 
   speechjob.cpp 
   kspeechadaptor_p.cpp )


kde4_add_executable(kttsd_bin ${kttsd_SRCS})

set_target_properties(kttsd_bin PROPERTIES OUTPUT_NAME kttsd)

target_link_libraries(kttsd_bin
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS}
    kttsd )

install(TARGETS kttsd_bin  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES SSMLtoPlainText.xsl  DESTINATION  ${DATA_INSTALL_DIR}/kttsd/xslt/ )
install( FILES kttsd.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== kttsd/kttsmgr/CMakeLists.txt ===

set(kttsmgr_SRCS 
    kttsmgr.cpp )

qt4_add_dbus_interfaces(kttsmgr_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSpeech.xml )

kde4_add_executable(kttsmgr ${kttsmgr_SRCS})

target_link_libraries(kttsmgr
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS} )

install(TARGETS kttsmgr  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( FILES kttsmgr.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

=== kttsd/debian/control ===
Source: kttsd
Section: kde
Priority: extra
Maintainer: Gary Cramblitt (PhantomsDad) <garycramblitt@comcast.net>
Build-Depends: debhelper (>= 4.0.0), kdelibs4-dev (>= 4:3.2), qt3-doc (>=3.3.3)
Standards-Version: 3.6.1.1

Package: kttsd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: festival, festival-doc, festvox-kallpc, flite, epos,
 xsltproc, sox, kttsd-gstreamer
Description: KDE Text-to-Speech system
 KTTS, the KDE Text-to-Speech (TTS) system, is a plug-in based dcop service
 that allows any KDE (or non-KDE) application to speak using the DCOP
 interface.
 .
 KTTS intends to be the implementation for the KDE Text-to-Speech API.
 .
 Features
 --------
  * Priority system for warnings and messages, while still playing
    regular text.
  * Long text is parsed into sentences.  User may backup by sentence or
    paragraph, replay, pause, and stop playing.
  * Speak contents of clipboard.
  * Speak KDE notification events (KNotify).
 .
 You must also install a speech synthesis engine, such as festival, flite,
 epos, freetts, or hadifix (MBROLA and txt2pho).  khelpcenter help:/kttsd/
 for links and suggestions for obtaining and installing synthesizers.

Package: kttsd-gstreamer
Architecture: any
Depends: kttsd, libgstreamer0.8-0 (>= 0.8.7)
Description: KTTSD GStreamer plugin
 A plugin for the KDE Text-to-Speech system for producing
 audio output via GStreamer.  You will also need the
 GStreamer wav file plugin and at least one GStreamer
 output plugin (aRts, oss, or nas).
